> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization Member



## OpenAPI

````yaml /openapi.json patch /v1/organizations/{organization_id}/members/{membership_id}
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations/{organization_id}/members/{membership_id}:
    patch:
      summary: Update Organization Member
      operationId: >-
        update_organization_member_v1_organizations__organization_id__members__membership_id__patch
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            title: Organization Id
            type: string
        - in: path
          name: membership_id
          required: true
          schema:
            title: Membership Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrganizationMemberRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedOrganizationMember'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateOrganizationMemberRequest:
      additionalProperties: false
      properties:
        role:
          minLength: 1
          title: Role
          type: string
      required:
        - role
      title: UpdateOrganizationMemberRequest
      type: object
    HostedOrganizationMember:
      additionalProperties: false
      properties:
        avatar_url:
          default: ''
          title: Avatar Url
          type: string
        display_name:
          title: Display Name
          type: string
        email:
          title: Email
          type: string
        membership_id:
          title: Membership Id
          type: string
        role:
          title: Role
          type: string
        status:
          default: active
          title: Status
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - membership_id
        - user_id
        - email
        - display_name
        - role
      title: HostedOrganizationMember
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````